1 Reply Latest reply on Jan 8, 2010 3:11 PM by ken503

    EPO upgrade from 3.6.1 to 4.5 woes

      I've been attempting to upgrade our installation of EPO from 3.6.1 to 4.5 for about the past month. Numerous emails back and forth between tech support and myself.

       

      Currently running EPO Version 3.6.1.255 on a Windows 2003 Server Standard Edition with Service Pack 2. The database is SQL 2005 SP3. I have attempted to upgrade to 4.5 and 4.5 with Patch 1 included to no avail.

       

      The first error I received was simply, "Failed to connect to the SQL server." After sifting through logs and packet traces, and and an escalation to Tier 3, found that the setup program was not successfully communicating with the SQL Browswer service to get the correct instance of SQL. It was suggested to wait a week and try the upgrade again after the Patch 1 version of the installer was released. This I did, and was faced with the same error. The proposed resolution was to install a named instance of SQL on the server and move the production database over to the named instance. This was accomplished, and aside from a few surface area configuration issues, worked just fine.

       

      Ran the upgrade again and graduated on to the next error, "FAILURE: Unable to connect to the SQL server while trying to get the Notification Information."  After some more sifting through logs and another communication from Tier 3, the proposed solution was to install a named instance of SQL Express on the server, copy the production database to SQL Express and try the upgrade again.  SQL Express was installed, the database backed up and restored to the named instance of Express, and the installation of EPO pointed to the Express database. Just attempted the upgrade again, and got the same error message, "FAILURE: Unable to connect to the SQL server while trying to get the Notification Information."

       

      Has anyone else encountered the same errors, and if so, what was the final resolution?

       

      K

        • 1. Re: EPO upgrade from 3.6.1 to 4.5 woes
          jstanley

          Investigating an ePO 4.5 upgrade issue will be difficult to impossible without the install logs. After the install fails if you click "View Logs", zip all those up and post them here we can take a look. You can also look at the temp folder for whatever user account you were logged in with during the install in the "McAfeeLogs" folder for the same logs.

           

           

          Message was edited by: Jeremy Stanley on 1/8/10 4:55:43 PM CST